import { _decorator, Component, director, game, Input, input, Label, Node, profiler, tween, Vec3, VERSION } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('test')
export class test extends Component {
    @property(Label)
    private fpsText: Label = null;

    @property(Label)
    private versionText: Label = null;

    // private frameCount: number = 0;
    // private elapsedTime: number = 0;

    protected start(): void {
        this.versionText.string = `VERSION : ${VERSION}`;
        profiler.showStats();

        tween(this.node).to(0.5, { position: new Vec3(0, 100, 0), }, { easing: 'sineInOut' }).to(0.5, { position: new Vec3(0, -100, 0) }, { easing: 'sineInOut' }).union().repeatForever().start();
    }

    // protected update(dt: number): void {
    //     this.frameCount++;
    //     this.elapsedTime += dt;

    //     if (this.elapsedTime >= 1) {
    //         const fps = Math.round(this.frameCount / this.elapsedTime);
    //         this.fpsText.string = `FPS: ${fps}`;
    //         this.frameCount = 0;
    //         this.elapsedTime = 0;
    //     }
    // }
}


